clang-tools 10.0.0

Namespaces | Functions
Preamble.cpp File Reference
`#include "Preamble.h"`
`#include "Logger.h"`
`#include "Trace.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Lex/PPCallbacks.h"`
`#include "clang/Lex/PreprocessorOptions.h"`
Include dependency graph for Preamble.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::shared_ptr< const PreambleData > | clang::clangd::buildPreamble (PathRef FileName, CompilerInvocation &CI, std::shared_ptr< const PreambleData > OldPreamble, const tooling::CompileCommand &OldCompileCommand, const ParseInputs &Inputs, bool StoreInMemory, PreambleParsedCallback PreambleCallback)
| Build a preamble for the new inputs unless an old one can be reused. More...